<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["limpar"] == true) {
$ver_bau = mssql_num_rows(mssql_query("select accountid from warehouse where accountid='".$_SESSION["login"]."'"));
$ver_acc = mssql_num_rows(mssql_query("select memb___id from memb_info where memb___id='".$_SESSION["login"]."'"));
$ver_on = mssql_fetch_row(mssql_query("select connectstat from memb_stat where memb___id='".$_SESSION["login"]."'"));
if($ver_bau < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">É necessário abrir seu baú ao menos uma vez</div>'));
}
elseif($ver_acc < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Conta inválida</div>'));
}
elseif($ver_on[0] > 0) {
	exit($bbcode->bbcode('<div class="box_conteudo">Necessário estar deslogado</div>'));
}
else{
	if(colum_itens == 1200) {
		$f = str_pad($f, 1200*2, "F");
	}
	else{
		$f = str_pad($f, 1920*2, "F");
	}
	mssql_query("update warehouse set items=0x".$f." where accountid='".$_SESSION["login"]."'");
	echo $bbcode->bbcode('<div class="box_conteudo">Seu baú foi limpo com sucesso</div>');
}
}
if($_GET["reparar"] == true) {
$ver_bau = mssql_num_rows(mssql_query("select accountid from warehouse where accountid='".$_SESSION["login"]."'"));
$ver_acc = mssql_num_rows(mssql_query("select memb___id from memb_info where memb___id='".$_SESSION["login"]."'"));
if($ver_bau < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">É necessário abrir seu baú ao menos uma vez</div>'));
}
elseif($ver_acc < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Conta inválida</div>'));
}
else{
    $invlen = colum_itens;
    $x = 0;
    for ( ; $x < $invlen / 216; ++$x )
    {
        $a = $x * 255;
        $b = $a + 255;
        $result = mssql_fetch_row(mssql_query("select substring(Items,".$a.", {$b}) from warehouse where accountid='".$_SESSION["login"]."'" ));
        $inventory .= $result[0];
    }
    $hexa = strtoupper( bin2hex( $inventory ) );
    $i = 0;
    for ( ; $i < strlen( $inventory ) * 2; ++$i )
    {
        if ( $i % 20 == 0 )
        {
            $hex_item = substr( $hexa, $i, 20 );
            if ( 20 <= strlen( $hex_item ) )
            {
                $hex_final .= substr( $hex_item, 0, 4 )."FF".substr( $hex_item, 6 );
            }
        }
    }
    mssql_query("update warehouse set items=0x".$hex_final." where accountid='".$_SESSION["login"]."'");
    echo $bbcode->bbcode('<div class="box_conteudo">Baú reparado com sucesso</div>');
}
}
?>